Name:           python-solidserverrest
Version:        2.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The SOLIDserverRest is a library to drive EfficientIP API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/efficientip/solidserverrest
Source:         %{pypi_source solidserverrest}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'solidserverrest' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-solidserverrest
Summary:        %{summary}

%description -n python3-solidserverrest %_description


%prep
%autosetup -p1 -n solidserverrest-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-solidserverrest -f %{pyproject_files}


%changelog
%autochangelog